# Technical Context

## Technologies Used
- **Python 3.x**: Main programming language.
- **pymodbus**: For Modbus TCP client communication.
- **paho-mqtt**: For MQTT client functionality.
- **Logging**: Python's built-in logging module for event and error tracking.

## Dependencies
- `pymodbus` (>=2.5, <4.0 recommended for current code)
- `paho-mqtt`

## Development Setup
- No external configuration files; all settings are in `poe.py` as variables.
- Script is intended to run on any system with Python 3.x and the above dependencies installed.

## Technical Constraints
- Assumes the Modbus device is accessible via TCP/IP and supports reading holding registers for temperature and humidity.
- MQTT broker must be reachable from the host running the script.
- No persistent storage or database integration; data is transient.
- No web UI or REST API; all interaction is via logs and MQTT. 